<link rel='stylesheet' href='{{assetsdir}}/css/topbar.css'>

<div id="topbar1">
    <div id="topbar1_brand">
        <img alt="Accueil" src="{{ assetsdir }}/images/home.png">
        <a href="{{ base_url }}" style="font-size: 18px">
            CONTENTIEUX
        </a>
    </div>
    <div id="topbar1_affaire">
        {% if context.affaire %}
            <a id="topbar_affaire" href="{{ base_url }}/affaire_c/index/"{% if (context.statut == "FA") %}style='font-weight: bold'{% endif %}>Affaire N°{{ context.affaire.code }}</a>
            <div id="panel_infos_affaire">
                <table>
                    <tr><td style="width: 150px"><b>Désignation :</b></td><td><span style='color:black'>{{ context.affaire.libelle}}</span></td></tr>
                    <tr><td><b>Maître d'ouvrage :</b></td><td><span style='color:black'>{{ context.affaire.nom_mo}}</span></td></tr>
                    <tr><td><b>Missions :</b></td><td><span style='color:black'>{{ context.affaire.missions}}</span></td></tr>
                    <tr><td><b>Chargé d'affaire :</b></td><td><span style='color:black'>{{ context.affaire.ca}}</span></td></tr>
                    <tr><td><b>Service :</b></td><td><span style='color:black'>{{ context.affaire.nom_service}}</span></td></tr>
                </table>
            </div>
        {% endif %}
    </div>
    <div id="topbar1_sinistre">
        {% if context.sinistre %}
            <a href="{{ base_url }}/sinistre_c/index/{{ context.sinistre.id }}" style='font-weight: bold; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; margin: none; padding: none;'>Sinistre {{ context.sinistre.num_chrono }} - {% if context.sinistre.description_qc %}{{ context.sinistre.description_qc }} {% elseif context.sinistre.description %} {{context.sinistre.description }} {% endif %}</a>
        {% endif %}
        {% if context.rp %}
            <a href="{{ base_url }}/rp_c/index/{{ context.rp.id }}" {% if (context.statut == "rp")%}style='font-weight: bold'{% endif %}>Référé préventif N° {{ context.rp.num_chrono }} - {% if context.rp.description_qc %}{{ context.rp.description_qc }} {% elseif context.rp.description %} {{context.rp.description }} {% endif %}</a>
        {% endif %}
    </div>
    <div id="topbar1_right">
        <a href="https://zenfab.groupe-qualiconsult.fr/" target="_blank"><button style="display: inline-block" class="btn btn-primary" id='btn_support'>Support</button></a>
        <div style="display: inline-block; cursor: pointer; margin-right: 20px" class="dropdown">
            <a class="dropdown-toggle" data-toggle="dropdown" type="button">{{ context.user.initiales }} ({{context.user.role_str}})<span class="caret"></span></a>
            <ul class="dropdown-menu" role="menu" style="z-index: 10;">
                <li><a href="{{ base_url }}/main/suppleance">Suppléance</a></li>
                    {% if context.user.role == 8 or context.user.role == 7 %}
                    <li><a href="{{ base_url }}/admin/admin/roles">Gestion des RCR/RCA/ACA</a></li>
                    <li><a href="{{ base_url }}/admin/admin/mail">Diffusions</a></li>
                    {% endif %}
                    {% if context.user.role == 10 %}
                    <li><a href="{{ base_url }}/admin/admin/mail">Administration</a></li>
                        {%  if context.user.id_utilisateur in [3988,785,4941] %}
                        <li id="connectas"><a href=#>Se connecter en tant que</a></li>
                        {%  endif %}
                    {% endif %}
                <li><a href="{{ assetsdir }}/Notice_site_contentieux.pdf?v={{ "now"|date('d-m-Y') }}" target="_blank"><span class="glyphicon glyphicon-book"></span>&nbsp;Notice d'utilisation</a></li>
                <li><a href="{{ base_url }}/main/logout"><span class="glyphicon glyphicon-log-out"></span>&nbsp;Déconnexion</a></li>
            </ul>
        </div>
    </div>
</div>

<div id="modalConnectAs" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Se connecter en tant que</h4>
            </div>
            <div class="modal-body">
                <p>Choisissez le collaborateur pour emprunter l'identité</p>
                <input class="form-control" id='connectAsInput'>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Save changes</button>
            </div>
        </div>
    </div>
</div>

<script>
    document.getElementById('connectas').addEventListener('click', function () {
        $('#modalConnectAs').modal("toggle");
    });

    $("#connectAsInput").autocomplete({
        source: AJAXPATH + "/Ajax_c/get_utilisateurs_qperf_autocomp",
        minLength: 3,
        select: function (ev, ui) {
            $(this).attr("value_autocompletee", true);
            $(this).attr("id_user", ui.item.id);
            location.href = "{{ base_url }}/admin/admin/logAs/" + ui.item.id
        },
        appendTo: $('.modal-body')
    })
</script>